using System.ComponentModel.DataAnnotations;

namespace BMA.EHR.Recurit.Exam.Service.Models.Disables
{
    public class DisableEducation : EntityBase
    {
        [MaxLength(200)]
        public string Degree { get; set; }//

        [MaxLength(200)]
        public string Major { get; set; }//

        [MaxLength(20)]
        public string MajorGroupId { get; set; }

        [MaxLength(200)]
        public string MajorGroupName { get; set; }

        [MaxLength(200)]
        public string University { get; set; }//
        public double GPA { get; set; } = 0.0;//

        [MaxLength(1000)]
        public string Specialist { get; set; }

        [MaxLength(200)]
        public string HighDegree { get; set; }//

        public DateTime? BachelorDate { get; set; }//

        public Disable Disable { get; set; }
    }
}
